• Русский
  • Artifact [app.alauda.io/v1alpha1]

    Description
    Artifact is the Schema for the artifacts API
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ArtifactSpec defines the desired state of Artifact

    statusobject

    ArtifactStatus defines the observed state of Artifact

    .spec

    Description
    ArtifactSpec defines the desired state of Artifact
    Type
    object
    Required
    artifactVersionSelectorpresentregistryrepositorytype
    PropertyTypeDescription
    artifactVersionSelectorobject

    A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.

    descriptionstring
    displayNamestring
    imagePullSecretsarray
    presentboolean
    registrystring
    repositorystring
    tagPatternsarray
    typestring

    .spec.artifactVersionSelector

    Description
    A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.
    Type
    object
    PropertyTypeDescription
    matchExpressionsarray

    matchExpressions is a list of label selector requirements. The requirements are ANDed.

    matchLabelsobject

    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.

    .spec.artifactVersionSelector.matchExpressions

    Description
    matchExpressions is a list of label selector requirements. The requirements are ANDed.
    Type
    array

    .spec.artifactVersionSelector.matchExpressions[]

    Description
    A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
    Type
    object
    Required
    keyoperator
    PropertyTypeDescription
    keystring

    key is the label key that the selector applies to.

    operatorstring

    operator represents a key's relationship to a set of values. Valid operators are In, NotIn, Exists and DoesNotExist.

    valuesarray

    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.

    .spec.artifactVersionSelector.matchExpressions[].values

    Description
    values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
    Type
    array

    .spec.artifactVersionSelector.matchExpressions[].values[]

    Type
    string

    .spec.artifactVersionSelector.matchLabels

    Description
    matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
    Type
    object

    .spec.imagePullSecrets

    Type
    array

    .spec.imagePullSecrets[]

    Type
    string

    .spec.tagPatterns

    Type
    array

    .spec.tagPatterns[]

    Description
    Pattern is image version pattern
    Type
    object
    Required
    maxQuantitynameregex
    PropertyTypeDescription
    maxQuantity
    namestring
    regexstring

    .status

    Description
    ArtifactStatus defines the observed state of Artifact
    Type
    object
    PropertyTypeDescription
    availableArtifactVersioninteger

    INSERT ADDITIONAL STATUS FIELD - define observed state of cluster Important: Run "make" to regenerate code after modifying this file

    lastUpdateTimestring
    syncedboolean

    API Endpoints

    The following API endpoints are available:

    • /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifacts
      • DELETE: delete collection of Artifact
      • GET: list objects of kind Artifact
      • POST: create a new Artifact
    • /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifacts/{name}
      • DELETE: delete the specified Artifact
      • GET: read the specified Artifact
      • PATCH: partially update the specified Artifact
      • PUT: replace the specified Artifact
    • /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifacts/{name}/status
      • GET: read status of the specified Artifact
      • PATCH: partially update status of the specified Artifact
      • PUT: replace status of the specified Artifact

    /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifacts

    HTTP method
    DELETE
    Description
    delete collection of Artifact
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind Artifact
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifactList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new Artifact
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyArtifact schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    201 - CreatedArtifact schema
    202 - AcceptedArtifact schema
    401 - UnauthorizedEmpty

    /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifacts/{name}

    HTTP method
    DELETE
    Description
    delete the specified Artifact
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified Artifact
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified Artifact
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified Artifact
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyArtifact schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    201 - CreatedArtifact schema
    401 - UnauthorizedEmpty

    /apis/app.alauda.io/v1alpha1/namespaces/{namespace}/artifacts/{name}/status

    HTTP method
    GET
    Description
    read status of the specified Artifact
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified Artifact
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified Artifact
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyArtifact schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKArtifact schema
    201 - CreatedArtifact schema
    401 - UnauthorizedEmpty